local g_items = {}

g_items["BAT_1"] = {contact = 1}
g_items["BAT_2"] = {power = 1}
g_items["BAT_3"] = {contact = 2}
g_items["BAT_4"] = {power = 2}
g_items["BAT_5"] = {contact = 3}
g_items["BAT_XMAS"] = {power = 3}
g_items["BAT_XMAS_2016"] = {power = 3}

g_items["CAP_1"] = {battingEye = 1}
g_items["CAP_2"] = {mt = 1}
g_items["CAP_3"] = {battingEye = 2}
g_items["CAP_4"] = {mt = 2}
g_items["CAP_5"] = {battingEye = 3}
g_items["CAP_XMAS"] = {battingEye = 3}
g_items["CAP_XMAS_2016"] = {battingEye = 3}

g_items["GLOVE_1"] = {df = 1}
g_items["GLOVE_2"] = {control = 1}
g_items["GLOVE_3"] = {df = 2}
g_items["GLOVE_4"] = {control = 2}
g_items["GLOVE_5"] = {control = 3}
g_items["GLOVE_XMAS"] = {control = 3}
g_items["GLOVE_XMAS_2016"] = {control = 3}

g_items["SPIKE_1"] = {speed = 1}
g_items["SPIKE_2"] = {movement = 1}
g_items["SPIKE_3"] = {speed = 2}
g_items["SPIKE_4"] = {movement = 2}
g_items["SPIKE_5"] = {movement = 3}
g_items["SPIKE_XMAS"] = {movement = 3}
g_items["SPIKE_XMAS_2016"] = {movement = 3}

g_items["UNIFORM_1"] = {stamina = 1}
g_items["UNIFORM_2"] = {oslg = 1}
g_items["UNIFORM_3"] = {stamina = 2}
g_items["UNIFORM_4"] = {oslg = 2}
g_items["UNIFORM_5"] = {oslg = 3}
g_items["UNIFORM_XMAS"] = {oslg = 3}
g_items["UNIFORM_XMAS_2016"] = {oslg = 3}

function getStats(items)
    local stats = {
        power = 0, contact = 0, speed = 0, battingEye = 0, df = 0,
        stamina = 0, movement = 0, control = 0, oslg = 0, mt = 0
    }

    for i, v in ipairs(items)
    do
        local item = g_items[v]
        if item then
            for k, v2 in pairs(item)
            do
                stats[k] = stats[k] + v2
            end
        end
    end

    -- for debug
    --[[
    for k, v in pairs(stats)
    do
        print(k .. " " .. v)
    end
    --]]

    return stats
end